Bug 1774083 - Task charts does not change context in sub tasks view
Summary: Task charts does not change context in sub tasks view
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Tasks Plugin
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Peter Dragun
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-19 14:18 UTC by Peter Dragun
Modified: 2020-04-14 13:27 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-foreman-tasks-0.17.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27176 'Normal' 'Closed' 'Task dashboard broken when looking at a task''s subtasks' 2019-12-02 12:03:30 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:37 UTC

Description Peter Dragun 2019-11-19 14:18:33 UTC
Description of problem:
When you go to sub tasks page, charts are still there but show overall status. If you have a lot of sub tasks this could be misleading that charts are not based on table in the bottom. Even filer can be set by clicking on chart, but nothing changes

Version-Release number of selected component (if applicable):
Satellite 6.7 snap 2

How reproducible:
always

Steps to Reproduce:
1. Have some tasks that has sub tasks. For example run remote job on some hosts
2. Navigate to detail view of parent task
3. Click on 'Sub tasks' button

Actual results:
Charts are based on all task

Expected results:
Charts should be based on sub tasks from table or just don't show charts in sub tasks view

Additional info:

Comment 3 Adam Ruzicka 2019-11-20 14:58:52 UTC
Connecting upstream issue with this BZ.

Comment 4 Bryan Kearney 2019-11-21 17:03:02 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27176 has been resolved.

Comment 5 Peter Dragun 2019-12-02 12:36:21 UTC
Verified on Satellite 6.7 snap 4

Charts are now based on shown tasks even in subtasks view.

Comment 8 errata-xmlrpc 2020-04-14 13:27:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.